> ## Documentation Index
> Fetch the complete documentation index at: https://docs.runaether.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List GitHub repos



## OpenAPI

````yaml api-reference/openapi.account.json GET /github/repos
openapi: 3.1.0
info:
  title: Aether Account & Integrations API
  version: 0.1.0
  description: >-
    Account, billing, and integration-management endpoints used by the Aether
    web app and CLI. Root-mounted; NOT part of the versioned /v1 contract.
servers:
  - url: https://api.runaether.dev
security:
  - bearerAuth: []
paths:
  /github/repos:
    get:
      tags:
        - github
      summary: List GitHub repos
      operationId: listGithubRepos
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GitHubRepoList'
          description: OK
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Internal Server Error
        '502':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Gateway
components:
  schemas:
    GitHubRepoList:
      additionalProperties: false
      properties:
        repos:
          items:
            $ref: '#/components/schemas/GitHubRepo'
          type: array
        truncated:
          type: boolean
      required:
        - repos
        - truncated
      type: object
    ErrorResponse:
      additionalProperties: false
      properties:
        code:
          type: string
        error:
          minLength: 1
          type: string
      required:
        - error
      type: object
    GitHubRepo:
      additionalProperties: false
      properties:
        clone_url:
          format: uri
          type: string
        default_branch:
          minLength: 1
          type: string
        description:
          type: string
        full_name:
          minLength: 1
          type: string
        id:
          format: int64
          type: integer
        installation_id:
          format: int64
          minimum: 1
          type: integer
        installation_name:
          minLength: 1
          type: string
        name:
          minLength: 1
          type: string
        owner:
          minLength: 1
          type: string
        private:
          type: boolean
        updated_at:
          minLength: 1
          type: string
      required:
        - id
        - installation_id
        - installation_name
        - full_name
        - name
        - owner
        - private
        - default_branch
        - clone_url
        - updated_at
      type: object
  securitySchemes:
    bearerAuth:
      bearerFormat: JWT
      scheme: bearer
      type: http

````